RPCINFO(8)

NAME
rpcinfo - report RPC information

SYNOPSIS
rpcinfo -p [ host ]
rpcinfo -u host program-number [ version-number ]
rpcinfo -t host program-number [ version-number ]

DESCRIPTION
Rpcinfo makes an RPC call to an RPC server and reports what it finds.

OPTIONS

-p  Probe the portmapper on host, and print a list of all registered RPC programs. If host is not specified, it defaults to the value returned by hostname(1).

-u  Make an RPC call to procedure 0 of program-number using UDP, and report whether a response was received.

-t  Make an RPC call to procedure 0 of program-number using TCP, and report whether a response was received.

The program-number argument can be either a name or a number. If no version is given, it defaults to 1.

FILES
/etc/rpc    names for rpc program numbers

SEE ALSO
rpc(5), portmap(8), RPC Programming Guide